Bug 860146 - Review Request: vsqlite++ - A C++ Wrapper for SQLite
Review Request: vsqlite++ - A C++ Wrapper for SQLite
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 862549
  Show dependency treegraph
 
Reported: 2012-09-25 01:57 EDT by Vinzenz Feenstra [evilissimo]
Modified: 2014-05-19 08:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:29:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sochotni: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Vinzenz Feenstra [evilissimo] 2012-09-25 01:57:53 EDT
SRPM: https://github.com/downloads/vinzenz/fedora-packages/vsqlite++-0.3.7-1.fc17.src.rpm
SPEC: https://raw.github.com/vinzenz/fedora-packages/master/vsqlite++/vsqlite++.spec

Description:
VSQLite++ is a C++ wrapper for sqlite3 using the C++ standard ibrary and boost.
VSQLite++ is designed to be easy to use and focuses on simplicity.

Note: VSQLite++ is used in the mysql-workbench package.

Koji Scratch Build F17: http://koji.fedoraproject.org/koji/taskinfo?taskID=4522860
Koji Scratch Build F18: http://koji.fedoraproject.org/koji/taskinfo?taskID=4522865
Koji Scratch Build Rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=4522868
Comment 1 Vinzenz Feenstra [evilissimo] 2012-09-25 01:59:30 EDT
Note: This is my first package and I will need a sponsor.
Comment 2 Vinzenz Feenstra [evilissimo] 2012-09-25 02:15:53 EDT
Additional Note: I am also the Upstream on this particular package.
Comment 3 Stanislav Ochotnicky 2012-09-25 03:54:29 EDT
For the record correct component was supposed to be "Package Review", "fedora-review" is just a helper tool. 

For what it's worth I'll do the review though :-)
Comment 4 Vinzenz Feenstra [evilissimo] 2012-09-25 04:11:10 EDT
(In reply to comment #3)
> For the record correct component was supposed to be "Package Review",
> "fedora-review" is just a helper tool. 
> 
> For what it's worth I'll do the review though :-)

Sorry my bad -_-
Comment 5 Stanislav Ochotnicky 2012-09-25 05:47:24 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

Executive summary:
 - static subpackage should not exist unless there is a good reason (I don't
   think anyone should link to an sqlite wrapper statically)
   See: http://fedoraproject.org/wiki/Packaging:Guideliones#Packaging_Static_Libraries
   Even you as upstream don't install static libraries, just manually in the
   spec file so...just skip that
 - it's customary for upstream to run autogen themselves and distribute a
   ready-made configure scripts/makefiles. This is to save distributions from
   handling regen themselves (which might need newer/older autotools etc)
 - You have duplicate line in %install section (which should be removed for
   static subpackage anyway...)
    install -p -m 755 -d %{buildroot}%{_libdir}
 - devel subpackage does not require ldconfig to be run
 - Including VERSION in %doc does not really make much sense, since it's
   apparent from rpm version


===== MUST items =====

C/C++:
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
[x]: Static libraries in -static subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.

Although I don't understand why project is called vsqlite-- and tarballs are
vsqlite++...

[x]: Package does not generate any conflict.
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 6 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[-]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: vsqlite++-devel-0.3.7-1.fc19.x86_64.rpm
          vsqlite++-debuginfo-0.3.7-1.fc19.x86_64.rpm
          vsqlite++-0.3.7-1.fc19.x86_64.rpm
          vsqlite++-0.3.7-1.fc19.src.rpm
          vsqlite++-static-0.3.7-1.fc19.x86_64.rpm
vsqlite++-devel.x86_64: W: spelling-error Summary(en_US) vsqlite -> satellite
vsqlite++-devel.x86_64: W: spelling-error %description -l en_US vsqlite -> satellite
vsqlite++-debuginfo.x86_64: W: spelling-error Summary(en_US) vsqlite -> satellite
vsqlite++-debuginfo.x86_64: W: spelling-error %description -l en_US vsqlite -> satellite
vsqlite++.x86_64: W: spelling-error Summary(en_US) sqlite -> sq lite, sq-lite, satellite
vsqlite++.x86_64: W: spelling-error %description -l en_US ibrary -> library, vibratory
vsqlite++.src: W: spelling-error Summary(en_US) sqlite -> sq lite, sq-lite, satellite
vsqlite++.src: W: spelling-error %description -l en_US ibrary -> library, vibratory
vsqlite++-static.x86_64: W: spelling-error Summary(en_US) vsqlite -> satellite
vsqlite++-static.x86_64: W: spelling-error %description -l en_US libvsqlitepp 
vsqlite++-static.x86_64: W: spelling-error %description -l en_US vsqlite -> satellite
vsqlite++-static.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 12 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint vsqlite++-debuginfo vsqlite++-devel vsqlite++-static vsqlite++
vsqlite++-debuginfo.x86_64: W: spelling-error Summary(en_US) vsqlite -> satellite
vsqlite++-debuginfo.x86_64: W: spelling-error %description -l en_US vsqlite -> satellite
vsqlite++-devel.x86_64: W: spelling-error Summary(en_US) vsqlite -> satellite
vsqlite++-devel.x86_64: W: spelling-error %description -l en_US vsqlite -> satellite
vsqlite++-static.x86_64: W: spelling-error Summary(en_US) vsqlite -> satellite
vsqlite++-static.x86_64: W: spelling-error %description -l en_US libvsqlitepp 
vsqlite++-static.x86_64: W: spelling-error %description -l en_US vsqlite -> satellite
vsqlite++-static.x86_64: W: no-documentation
vsqlite++.x86_64: W: spelling-error Summary(en_US) sqlite -> sq lite, sq-lite, satellite
vsqlite++.x86_64: W: spelling-error %description -l en_US ibrary -> library, vibratory
vsqlite++.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libvsqlitepp.so.3.0.0 /lib64/libm.so.6
4 packages and 0 specfiles checked; 0 errors, 11 warnings.
# echo 'rpmlint-done:'



Diff spec file in url and in SRPM
---------------------------------
--- /home/w0rm/work/projects/fedora-review/860146-vsqlite++/srpm/vsqlite++.spec	2012-09-25 11:01:41.796667567 +0200
+++ /home/w0rm/work/projects/fedora-review/860146-vsqlite++/srpm-unpacked/vsqlite++.spec	2012-09-25 11:01:43.004663656 +0200
@@ -70,4 +70,4 @@
 
 %changelog
-* Tue Sep 25 2012 Vinzenz Feenstra <evilissimo@gmail.com> - 0.3.7-1
+* Sat Sep 22 2012 Vinzenz Feenstra <evilissimo@gmail.com> - 0.3.7-1
 - Initial package


Requires
--------
vsqlite++-devel-0.3.7-1.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /sbin/ldconfig  
    libvsqlitepp.so.3()(64bit)  
    vsqlite++ = 0.3.7-1.fc19

vsqlite++-debuginfo-0.3.7-1.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    

vsqlite++-0.3.7-1.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /sbin/ldconfig  
    libc.so.6()(64bit)  
    libgcc_s.so.1()(64bit)  
    libgcc_s.so.1(GCC_3.0)(64bit)  
    libm.so.6()(64bit)  
    libsqlite3.so.0()(64bit)  
    libstdc++.so.6()(64bit)  
    libstdc++.so.6(CXXABI_1.3)(64bit)  
    rtld(GNU_HASH)  

vsqlite++-static-0.3.7-1.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    vsqlite++-devel = 0.3.7-1.fc19



Provides
--------
vsqlite++-devel-0.3.7-1.fc19.x86_64.rpm:
    
    vsqlite++-devel = 0.3.7-1.fc19
    vsqlite++-devel(x86-64) = 0.3.7-1.fc19

vsqlite++-debuginfo-0.3.7-1.fc19.x86_64.rpm:
    
    vsqlite++-debuginfo = 0.3.7-1.fc19
    vsqlite++-debuginfo(x86-64) = 0.3.7-1.fc19

vsqlite++-0.3.7-1.fc19.x86_64.rpm:
    
    libvsqlitepp.so.3()(64bit)  
    vsqlite++ = 0.3.7-1.fc19
    vsqlite++(x86-64) = 0.3.7-1.fc19

vsqlite++-static-0.3.7-1.fc19.x86_64.rpm:
    
    vsqlite++-static = 0.3.7-1.fc19
    vsqlite++-static(x86-64) = 0.3.7-1.fc19



MD5-sum check
-------------
https://github.com/downloads/vinzenz/vsqlite--/vsqlite++-0.3.7.tar.gz :
  CHECKSUM(SHA256) this package     : 722257e2b0033219f51eddc546ebed63b3c0ef4896c2c28a37f3c80b57f9184f
  CHECKSUM(SHA256) upstream package : 722257e2b0033219f51eddc546ebed63b3c0ef4896c2c28a37f3c80b57f9184f


Generated by fedora-review 0.3.0 (27e7615) last change: 2012-09-20
Buildroot used: fedora-raw-x86_64
Command line :./try-fedora-review -b 860146


All in all pretty solid work for first package. Please fix the problems or
explain your decisions. When you make changes please also raise release tag and add a changelog entry.
Comment 6 Vinzenz Feenstra [evilissimo] 2012-09-25 11:01:03 EDT
SPEC: https://raw.github.com/vinzenz/fedora-packages/vsqlite++/0.3.9-1/vsqlite++/vsqlite++.spec
SRPM: https://github.com/downloads/vinzenz/fedora-packages/vsqlite++-0.3.9-1.fc17.src.rpm

Updated version - All comments handled. 

ChangeLog:
* Tue Sep 25 2012 Vinzenz Feenstra <evilissimo@gmail.com> - 0.3.9-1
- Updated to upstream vsqlite++-0.3.9
- Removing now obsolete ./autogen.sh call in prep
- Remove of unnecessary BuildRequires automake and autoconf
- Upstream renamed Changelog to ChangeLog - reflected changes
- Upstream renamed LICENSE to COPYING - reflected changes

* Tue Sep 25 2012 Vinzenz Feenstra <evilissimo@gmail.com> - 0.3.7-2
- Fix for %%description spelling 'ibrary' => 'library'
- Fix for unused libm dependency
- Include Changelog, README and LICENSE to devel
- Removed TODO, VERSION
- Removed duplicated lines in the install sectin
- New doc sub package for the html documentation and code example
- Removed static package
- Removed unnecessary ldconfig call on devel package
- One BuildRequires entry per line
Comment 7 Vinzenz Feenstra [evilissimo] 2012-09-25 11:15:19 EDT
Koji build results for vsqlite++-0.3.9-1.fc17.src.rpm:

F17: http://koji.fedoraproject.org/koji/taskinfo?taskID=4524839

F18: http://koji.fedoraproject.org/koji/taskinfo?taskID=4524842

Rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=4524840
Comment 8 Vinzenz Feenstra [evilissimo] 2012-09-26 03:06:42 EDT
SPEC: https://raw.github.com/vinzenz/fedora-packages/vsqlite++/0.3.9-2/vsqlite++/vsqlite++.spec
SRPM: https://github.com/downloads/vinzenz/fedora-packages/vsqlite++-0.3.9-2.fc17.src.rpm

ChangeLog:
* Wed Sep 26 2012 Vinzenz Feenstra <evilissimo@gmail.com> - 0.3.9-2
- Removed comment with macro - Not needed anymore (Fixed rpmlint warning)

Koji build results for vsqlite++-0.3.9-2.fc17.src.rpm:

F17: http://koji.fedoraproject.org/koji/taskinfo?taskID=4527693

F18: http://koji.fedoraproject.org/koji/taskinfo?taskID=4527692

Rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=4527694
Comment 9 Stanislav Ochotnicky 2012-09-26 12:38:15 EDT
Package looks good now, except one tiny thing. doc subpackage should be noarch. But that's indeed small issue which I believe you'll fix without problems.

I have approved the packages so now you can follow: https://fedoraproject.org/wiki/Package_SCM_admin_requests

Please add me to the initial cc for the package so I can tiptoe around you for a while :-)
Comment 11 Vinzenz Feenstra [evilissimo] 2012-09-28 06:09:09 EDT
New Package SCM Request
=======================
Package Name: vsqlite++ 
Short Description: Well designed C++ sqlite 3.x wrapper library
Owners: evilissimo
Branches: f17 f18
InitialCC: sochotni
Comment 12 Stanislav Ochotnicky 2012-10-01 04:34:15 EDT
You also need to set fedora-cvs flag to '?' or noone will know you requested the SCM :-)
Comment 13 Gwyn Ciesla 2012-10-02 07:06:39 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2012-10-02 16:11:43 EDT
vsqlite++-0.3.9-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/vsqlite++-0.3.9-3.fc17
Comment 15 Fedora Update System 2012-10-02 16:13:08 EDT
vsqlite++-0.3.9-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/vsqlite++-0.3.9-3.fc18
Comment 16 Fedora Update System 2012-10-02 23:20:37 EDT
vsqlite++-0.3.9-3.fc17 has been pushed to the Fedora 17 testing repository.
Comment 17 Fedora Update System 2012-12-20 11:29:33 EST
vsqlite++-0.3.9-3.fc17 has been pushed to the Fedora 17 stable repository.
Comment 18 Vinzenz Feenstra [evilissimo] 2014-05-19 01:47:42 EDT
Package Change Request
======================
Package Name: vsqlite++
New Branches: el5 el6 el7
Owners: evilissimo
Comment 19 Gwyn Ciesla 2014-05-19 08:01:13 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.